summaryrefslogtreecommitdiff
path: root/test/TEST-77-OPENFILE
diff options
context:
space:
mode:
authorRichard Phibel <rphibel@googlemail.com>2022-11-07 17:13:15 +0100
committerLennart Poettering <lennart@poettering.net>2023-01-10 15:16:26 +0100
commitcd48e23f6a33c9acb47a06b99d9bdc84ee42cebe (patch)
tree4c241fe4081efeb70aa6b33ff9a7613b2b0b2720 /test/TEST-77-OPENFILE
parent81315baa68c9c8f7f6f5608fa8bc1daebf0618df (diff)
downloadsystemd-cd48e23f6a33c9acb47a06b99d9bdc84ee42cebe.tar.gz
core: add OpenFile setting
Diffstat (limited to 'test/TEST-77-OPENFILE')
l---------test/TEST-77-OPENFILE/Makefile1
-rwxr-xr-xtest/TEST-77-OPENFILE/test.sh16
2 files changed, 17 insertions, 0 deletions
diff --git a/test/TEST-77-OPENFILE/Makefile b/test/TEST-77-OPENFILE/Makefile
new file mode 120000
index 0000000000..e9f93b1104
--- /dev/null
+++ b/test/TEST-77-OPENFILE/Makefile
@@ -0,0 +1 @@
+../TEST-01-BASIC/Makefile \ No newline at end of file
diff --git a/test/TEST-77-OPENFILE/test.sh b/test/TEST-77-OPENFILE/test.sh
new file mode 100755
index 0000000000..e4349997a0
--- /dev/null
+++ b/test/TEST-77-OPENFILE/test.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="Openfile tests"
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+test_append_files() {
+ local workspace="${1:?}"
+ echo "Open" > "$workspace/test-77-open.dat"
+ echo "File" > "$workspace/test-77-file.dat"
+}
+
+do_test "$@"